QXmppMucItem Class Reference
Stanzas

The QXmppMucItem class represents a chat room "item". More...

`#include <QXmppMucIq.h>`

List of all members.

## Public Types

enum | Affiliation { UnspecifiedAffiliation, OutcastAffiliation, NoAffiliation, MemberAffiliation, AdminAffiliation, OwnerAffiliation }
| This enum is used to represent long-lived permissions in a room (affiliations).
enum | Role { UnspecifiedRole, NoRole, VisitorRole, ParticipantRole, ModeratorRole }
| This enum is used to represent short-lived permissions in a room (roles).

## Public Member Functions

bool | isNull () const
QString | actor () const
void | setActor (const QString &actor)
Affiliation | affiliation () const
| Returns the user's affiliation, i.e. long-lived permissions.
void | setAffiliation (Affiliation affiliation)
QString | jid () const
| Returns the user's real JID.
void | setJid (const QString &jid)
QString | nick () const
| Returns the user's nickname.
void | setNick (const QString &nick)
QString | reason () const
void | setReason (const QString &reason)
Role | role () const
| Returns the user's role, i.e. short-lived permissions.
void | setRole (Role role)
void | parse (const QDomElement &element)
void | toXml (QXmlStreamWriter *writer) const

## Detailed Description

The QXmppMucItem class represents a chat room "item".

It is used to convey information such as permissions.

## Member Function Documentation

void QXmppMucItem::setAffiliation | ( | Affiliation | affiliation | ) |

Sets the user's affiliation, i.e. long-lived permissions.

Parameters:

  affiliation |

void QXmppMucItem::setJid | ( | const QString & | jid | ) |

Sets the user's real JID.

Parameters:

  jid |

void QXmppMucItem::setNick | ( | const QString & | nick | ) |

Sets the user's nickname.

Parameters:

  nick |

void QXmppMucItem::setRole | ( | Role | role | ) |

Sets the user's role, i.e. short-lived permissions.

Parameters:

  role |

The documentation for this class was generated from the following files:

- QXmppMucIq.h
- QXmppMucIq.cpp

All Classes Functions Enumerations Enumerator Properties